Skip to content

Update store

PATCH
/v1/stores/{storeId}
storeId
string
Example
st-33MxMppykHWC9eb3tSjWqWEK8qg

Store ID

JSON schema for JSONPatch files
Array
One of:
object
path
required

A JSON Pointer path.

string
/^#?(|(/([^/~]|~[01])*)*)$/
op
required

The operation to perform.

string
Allowed values: add replace test
value
required

The value to add, replace or test.

Updated store

object
storeId
required

Store ID, defined by Myver.

string
brandId
required

Brand ID, defined by Myver.

string
/^br-[A-Za-z0-9]{27}$/
Example
br-38yKx4rVaExNFZ1qjdEq9wv6Anp
name
required

Name of the store

string
>= 1 characters /\S/
Example
ACME Quality Apparel
address
required

As the store wants to have it printed on the receipt

string
>= 1 characters /\S/
Example
42 Market Street
Dublin D02 XF85
countryCode
required

Country code as defined in ISO 3166-1 alpha 2

string
Example
IE
defaultCurrency
required

Currency code as defined in ISO 4217; used by the store for transactions if nothing else is specified in a receipt

string
Example
EUR
phoneNumber

Phone number for customer inquiries; as defined in the E.164 standard

string
Example
+4571234567
website

Official website of the store

string
Example
https://www.myver.io
email

Email address for customer inquiries

string
Example
contact@myver.io
vatId

VAT identifier

string
Example
IE8453927K
merchantStoreId

Free-form identifier for this store as defined in the merchant’s own system or identifier convention.

string
Example
A031
integrationStoreId

Free-form identifier for this store as defined by the integration

string
Example
BHT1874

Bad or malformed request

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Unauthorized

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Forbidden

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri